function machine = newbm
%NEWBM creates a new Brookshear machine
%   MACHINE = NEWBM returns a new Brookshear machine

%   Copyright 2008 University of Sussex and David Young

machine.register = zeros(1, 16, 'uint32');
machine.memory = zeros(1, 256, 'uint32');
machine.pc = 0;
machine.running = false;

end
