function b = oddaddr(pc, a)
%ODDADDR checks whether an address is at an odd offset from the pc
%   B = ODDADDR(PC, A) returns true if address A is at an odd address
%   relative to PC. Assumes addresses do not exceed 256.

%   Copyright 2008 University of Sussex and David Young

b = bitand(256+a-pc, 1);
end