function text = readtext(filename)
%READTEXT reads a file's text into a string
%   TEXT = READTEXT(FILENAME) returns the contents of the text file with
%   name FILENAME as a long string.

%   Copyright 2008 University of Sussex and David Young

fid = fopen(filename, 'rt');
if fid == -1
    throw(MException('bmachine:readtext', ['Unable to open file ' filename]));
end
text = (fread(fid, '*char'))';
fclose(fid);
end
