function showhelp(name)
%SHOWHELP displays a help file
%   SHOWHELP(NAME) displays the file NAME.HTML in the HTML directory below
%   the directory containing this m-file.

%   Copyright 2008 University of Sussex and David Young

fname = mfilename('fullpath');
path = fileparts(fname);
hfile = fullfile(path, ['html/' name '.html']);
web(['file:///' hfile], '-notoolbar');
end
